from pathlib import Path

import axipy

PATH = Path(__file__).parent

NAME = 'Информация по слоям НСПД'
DESCRIPTION = 'Информация по слоям НСПД'

BUTTON_TAB = 'Карта'
BUTTON_GROUP = 'Инструменты'

SRS = axipy.CoordSystem.from_epsg(3857)

REFERER = 'https://nspd.gov.ru/map?thematic=PKK&zoom=1.0&coordinate_x=1.0&coordinate_y=1.0'
REQUEST_FEATURE_COUNT = 10

LAYER_TEMPLATE = 'https://nspd.gov.ru/api/aeggis/v3/{layer_id}/wms'
SEARCH_TEMPLATE = 'https://nspd.gov.ru/api/geoportal/v2/search/geoportal?thematicSearchId={thematicSearchId}&query={query}'

SELECT_STYLE = 'Pen(2,2,128) Brush (2,8421631,16777215) Line(2,2,128) Symbol(33,128,12)'
SELECT_STYLE_OPACITY = 0.2

CONNECTION_LIMIT = 100  # Максимальное количество соединений
CONNECTION_LIMIT_PER_HOST = 10  # Лимит соединений на хост
CONNECTION_TIMEOUT = 30  # Общий таймаут на соединение
CONNECTION_TIMEOUT_CONNECT = 10  # Таймаут установки соединения
CONNECTION_VERIFY_SSL = False  # Проверка SSL сертификата
REQUEST_MAX_RETRIES = 1  # Максимальное число повторов запроса при ошибке
REQUEST_RETRY_BACKOFF = 1.0  # Фактор экспоненциального увеличения для повторных попыток запроса
THREAD_IDLE_SHUTDOWN_TIME = 600.0  # Время ожидания перед завершением неактивного потока
