import axipy


class WMSParams:
    def __init__(self, id_mapview: str, device_rect: axipy.Rect, pnt: axipy.Pnt, scene_rect: axipy.Rect):
        self._id_mapview = id_mapview
        self._device_rect = device_rect
        self._pnt = pnt
        self._scene_rect = scene_rect

    @property
    def id_mapview(self) -> str:
        return self._id_mapview

    @property
    def device_rect(self) -> axipy.Rect:
        return self._device_rect

    @property
    def pnt(self) -> axipy.Pnt:
        return self._pnt

    @property
    def scene_rect(self) -> axipy.Rect:
        return self._scene_rect
